# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'data_broker/version'

Gem::Specification.new do |spec|
  spec.name          = "data_broker"
  spec.version       = DataBroker::VERSION
  spec.authors       = ["Shane Emmons"]
  spec.email         = ["oss@teamsnap.com"]
  spec.description   = "A simplified implementation of the data mapper pattern"
  spec.summary       = "A simplified implementation of the data mapper pattern"
  spec.homepage      = "https://github.com/teamsnap/data_broker"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "virtus", "~> 1.0"
  spec.add_dependency "activesupport", "~> 4.0"
  spec.add_dependency "activerecord", "~> 4.0"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec", "~> 3.0.0.beta1"
  spec.add_development_dependency "sqlite3", "~> 1.3"
  spec.add_development_dependency "database_cleaner", "~> 1.2"
  spec.add_development_dependency "pry"
end
